public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/netifrc:master commit in: net/
Date: Sun, 21 Jan 2018 21:59:09 +0000 (UTC)	[thread overview]
Message-ID: <1516571442.1b52dd84770eab44b5590ecb5cd386eca36f9b34.robbat2@OpenRC> (raw)

commit:     1b52dd84770eab44b5590ecb5cd386eca36f9b34
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 21 21:50:38 2018 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sun Jan 21 21:50:42 2018 +0000
URL:        https://gitweb.gentoo.org/proj/netifrc.git/commit/?id=1b52dd84

net/iproute2: improve DAD tentative wait/output.

If an interface had dad_timeout=0 set, then the wait loop output is
confusing. Skip it entirely, printing a useful message:
> Not waiting for DAD timeout on tentative IPv6 addresses (per conf.d/net dad_timeout)

Refactor the DAD tentantive conditionals for ease of debugging.

Bug 636846 suggests that some kernels are still showing tentative
addresses despite sysctls being set.

Bug: https://bugs.gentoo.org/636846
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 net/iproute2.sh | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

diff --git a/net/iproute2.sh b/net/iproute2.sh
index d33ee11..2d83534 100644
--- a/net/iproute2.sh
+++ b/net/iproute2.sh
@@ -441,9 +441,13 @@ _iproute2_route_flush() {
 	_cmd ip $FAMILY route flush table cache dev "${IFACE}"
 }
 
+_iproute2_ipv6_tentative_output() {
+	LC_ALL=C ip -family inet6 addr show dev ${IFACE} tentative
+}
+
 _iproute2_ipv6_tentative()
 {
-	[ -n "$(LC_ALL=C ip -family inet6 addr show dev ${IFACE} tentative)" ] && return 0
+	[ -n "$(_iproute2_ipv6_tentative_output)" ] && return 0
 
 	return 1
 }
@@ -462,11 +466,15 @@ iproute2_post_start()
 
 	# This block must be non-fatal, otherwise the interface will not be
 	# recorded as starting, and later services may be blocked.
-	if _iproute2_ipv6_tentative; then
-		if [ "$EINFO_VERBOSE" = "yes" ]; then
-			veinfo "Found tentative addresses:"
-			LC_ALL=C ip -family inet6 addr show dev ${IFACE} tentative
-		fi
+	_iproute2_ipv6_tentative ; ret_tentative=$?
+	if [ $ret_tentative -eq 0 -a "$EINFO_VERBOSE" = "yes" ]; then
+		veinfo "Found tentative addresses:"
+		_iproute2_ipv6_tentative_output
+	fi
+	# This could be nested, but the conditionals are very deep at that point.
+	if [ $ret_tentative -eq 0 -a $_dad_timeout -le 0 ]; then
+		einfo "Not waiting for DAD timeout on tentative IPv6 addresses (per conf.d/net dad_timeout)"
+	elif [ $ret_tentative -eq 0 ]; then
 		einfon "Waiting for tentative IPv6 addresses to complete DAD (${_dad_timeout} seconds) "
 		while [ $_dad_timeout -gt 0 ]; do
 			_iproute2_ipv6_tentative || break


             reply	other threads:[~2018-01-21 21:59 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-01-21 21:59 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-18 21:50 [gentoo-commits] proj/netifrc:master commit in: net/ Sam James
2025-03-18 21:50 Sam James
2025-03-18 21:50 Sam James
2024-09-29  0:28 Sam James
2024-09-23 12:02 Sam James
2024-09-09 22:43 Patrick McLean
2024-09-01  9:22 Sam James
2024-09-01  9:21 Sam James
2024-08-28 18:54 Patrick McLean
2024-06-11  0:39 Patrick McLean
2024-06-11  0:39 Patrick McLean
2024-05-23 18:12 Patrick McLean
2023-11-26  5:31 Robin H. Johnson
2023-11-25  4:52 Robin H. Johnson
2023-10-19 22:57 Sam James
2023-09-10 15:15 Sam James
2023-05-29  0:17 Mike Gilbert
2023-04-19 17:14 Robin H. Johnson
2023-04-17  4:35 Sam James
2023-02-12  6:54 Sam James
2023-01-19 18:50 Sam James
2023-01-19 18:50 Sam James
2023-01-17 15:06 Sam James
2023-01-17 15:06 Sam James
2023-01-17 15:06 Sam James
2023-01-15 20:37 Sam James
2023-01-15 14:03 Sam James
2023-01-15 14:03 Sam James
2023-01-15  1:53 Sam James
2023-01-15  1:51 Sam James
2023-01-15  1:51 Sam James
2022-12-25 19:14 Robin H. Johnson
2022-12-25 19:07 Robin H. Johnson
2021-03-31  1:11 Patrick McLean
2021-03-11 16:54 Lars Wendler
2021-03-11 16:54 Lars Wendler
2021-03-11 16:54 Lars Wendler
2021-02-02  8:28 Lars Wendler
2021-01-27 16:55 Lars Wendler
2021-01-27 14:19 Lars Wendler
2021-01-27 14:06 Lars Wendler
2021-01-24 10:37 Lars Wendler
2021-01-18 14:40 Lars Wendler
2021-01-18 13:04 Lars Wendler
2021-01-18 12:33 Lars Wendler
2021-01-18 12:33 Lars Wendler
2021-01-05 14:27 Lars Wendler
2021-01-05 12:46 Lars Wendler
2021-01-05 12:46 Lars Wendler
2020-12-15 20:11 Lars Wendler
2020-06-02 21:54 Robin H. Johnson
2020-05-31  6:05 Robin H. Johnson
2020-05-31  5:42 Robin H. Johnson
2020-05-31  5:29 Robin H. Johnson
2020-05-31  5:29 Robin H. Johnson
2020-05-31  5:13 Robin H. Johnson
2020-05-31  5:13 Robin H. Johnson
2020-01-04  8:06 Robin H. Johnson
2020-01-04  7:59 Robin H. Johnson
2019-07-09 19:59 Ben Kohler
2019-07-09 19:59 Ben Kohler
2019-07-09 17:39 Ben Kohler
2019-04-21  4:11 Robin H. Johnson
2018-07-12  6:25 Robin H. Johnson
2018-07-10 21:11 Jason Donenfeld
2017-11-27 20:22 Robin H. Johnson
2017-11-27 20:22 Robin H. Johnson
2017-11-14 20:48 Robin H. Johnson
2017-11-14 20:48 Robin H. Johnson
2017-10-21 20:56 Robin H. Johnson
2017-06-09 23:59 Robin H. Johnson
2017-06-09 23:55 Robin H. Johnson
2017-06-09 23:52 Robin H. Johnson
2017-06-09 23:52 Robin H. Johnson
2017-01-27 21:54 Robin H. Johnson
2016-10-27  1:23 Robin H. Johnson
2016-10-24 23:16 Robin H. Johnson
2016-10-24 20:58 Robin H. Johnson
2016-10-24 16:49 Robin H. Johnson
2016-10-24  0:25 Robin H. Johnson
2016-10-24  0:23 Robin H. Johnson
2016-10-24  0:23 Robin H. Johnson
2016-10-24  0:04 Robin H. Johnson
2016-10-24  0:04 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 22:39 Robin H. Johnson
2016-10-23 22:39 Robin H. Johnson
2016-10-05 14:42 Robin H. Johnson
2016-07-19 19:59 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:09 Robin H. Johnson
2015-11-08 14:33 Robin H. Johnson
2015-11-08 14:30 Robin H. Johnson
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:01 Mike Frysinger
2015-01-22 23:01 Robin H. Johnson
2015-01-22 23:01 Robin H. Johnson
2014-12-11 18:13 Robin H. Johnson
2014-09-24  6:19 Robin H. Johnson
2014-07-17 17:56 Robin H. Johnson
2014-07-17 17:56 Robin H. Johnson
2014-04-15 18:18 Robin H. Johnson
2013-08-28 16:59 Robin H. Johnson
2013-08-27 20:06 Ian Stakenvicius
2013-08-25  8:17 Robin H. Johnson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1516571442.1b52dd84770eab44b5590ecb5cd386eca36f9b34.robbat2@OpenRC \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox